User
Authenticated user's own account data. Profile, identities, notifications, preferences
Authorization
sessionAuth Supabase access token: used by the web and mobile apps
In: header
curl -X GET "https://example.com/api/v1/flags/"curl -X GET "https://example.com/api/v1/app-version/"Authorization
sessionAuth Supabase access token: used by the web and mobile apps
In: header
Query Parameters
curl -X GET "https://example.com/api/v1/stats/overview?teamId=string"Authorization
sessionAuth Supabase access token: used by the web and mobile apps
In: header
Query Parameters
curl -X GET "https://example.com/api/v1/stats/storage?teamId=string"Authorization
sessionAuth Supabase access token: used by the web and mobile apps
In: header
curl -X GET "https://example.com/api/v1/user/world-inventory"Authorization
sessionAuth Supabase access token: used by the web and mobile apps
In: header
curl -X GET "https://example.com/api/v1/user/profile"Authorization
sessionAuth Supabase access token: used by the web and mobile apps
In: header
curl -X GET "https://example.com/api/v1/user/identities"Authorization
sessionAuth Supabase access token: used by the web and mobile apps
In: header
curl -X GET "https://example.com/api/v1/user/notifications"Authorization
sessionAuth Supabase access token: used by the web and mobile apps
In: header
curl -X GET "https://example.com/api/v1/user/notification-feed"Authorization
sessionAuth Supabase access token: used by the web and mobile apps
In: header
curl -X GET "https://example.com/api/v1/user/preferences"Authorization
sessionAuth Supabase access token: used by the web and mobile apps
In: header
TypeScript Definitions
Use the request body type in TypeScript.
curl -X PATCH "https://example.com/api/v1/user/preferences" \ -H "Content-Type: application/json" \ -d '{}'Authorization
sessionAuth Supabase access token: used by the web and mobile apps
In: header
TypeScript Definitions
Use the request body type in TypeScript.
curl -X PATCH "https://example.com/api/v1/user/default-team" \ -H "Content-Type: application/json" \ -d '{ "teamId": 0 }'Authorization
sessionAuth Supabase access token: used by the web and mobile apps
In: header
TypeScript Definitions
Use the request body type in TypeScript.
curl -X PATCH "https://example.com/api/v1/user/zero-data-retention" \ -H "Content-Type: application/json" \ -d '{ "enabled": true }'Authorization
sessionAuth Supabase access token: used by the web and mobile apps
In: header
TypeScript Definitions
Use the request body type in TypeScript.
curl -X POST "https://example.com/api/v1/user/push-tokens" \ -H "Content-Type: application/json" \ -d '{ "token": "string", "platform": "ios" }'Authorization
sessionAuth Supabase access token: used by the web and mobile apps
In: header
TypeScript Definitions
Use the request body type in TypeScript.
curl -X DELETE "https://example.com/api/v1/user/push-tokens" \ -H "Content-Type: application/json" \ -d '{ "token": "string" }'Authorization
sessionAuth Supabase access token: used by the web and mobile apps
In: header
curl -X POST "https://example.com/api/v1/user/app-opened"Authorization
sessionAuth Supabase access token: used by the web and mobile apps
In: header
curl -X GET "https://example.com/api/v1/user/account/deletion-status"Authorization
sessionAuth Supabase access token: used by the web and mobile apps
In: header
TypeScript Definitions
Use the request body type in TypeScript.
curl -X DELETE "https://example.com/api/v1/user/account" \ -H "Content-Type: application/json" \ -d '{ "confirmation": "string" }'curl -X GET "https://example.com/api/v1/wallet/identity/apple?token=string"curl -X GET "https://example.com/api/v1/wallet/identity"Authorization
sessionAuth Supabase access token: used by the web and mobile apps
In: header
curl -X GET "https://example.com/api/v1/inbox/"